@ECHO OFF
IF .%1.==.. GOTO :USAGE
SETLOCAL
SET EXECUTION_DIR=E:\Lagring\prj\Samlingskartan_v8i\oracle\SDOload\
REM ** For the Oracle NLS_LANG setting, DGN2SDO uses default settings for Language
REM ** and Territory, but it overrides the charset component to be AL32UTF8.
SET NLS_LANG=_.AL32UTF8
@echo *********************************************
@echo Creating tables with SDO Geometry columns...
@echo *********************************************
@echo [-- SQLPLUS %1 @"%EXECUTION_DIR%GeomTableCreate_TMP_63_LINES.SQL2A" --]
SQLPLUS %1 @"%EXECUTION_DIR%GeomTableCreate_TMP_63_LINES.SQL2A"

@echo [-- SQLPLUS %1 @"%EXECUTION_DIR%GeomTableCreate_TMP_63_POLY.SQL2A" --]
SQLPLUS %1 @"%EXECUTION_DIR%GeomTableCreate_TMP_63_POLY.SQL2A"


@echo *********************************************
@echo Loading SDO Geometry table data with SQL*Loader...
@echo *********************************************
@echo [-- SQLLDR %1 CONTROL='%EXECUTION_DIR%GeomTableLoad_TMP_63_LINES.CTL2A' --]
SQLLDR %1 CONTROL='%EXECUTION_DIR%GeomTableLoad_TMP_63_LINES.CTL2A'

@echo [-- SQLLDR %1 CONTROL='%EXECUTION_DIR%GeomTableLoad_TMP_63_POLY.CTL2A' --]
SQLLDR %1 CONTROL='%EXECUTION_DIR%GeomTableLoad_TMP_63_POLY.CTL2A'


@echo *********************************************
@echo Creating spatial indexes on SDO Geometry tables...
@echo *********************************************
@echo [-- SQLPLUS %1 @"%EXECUTION_DIR%SpatialIndexCreate_TMP_63_LINES.SQL3" --]
SQLPLUS %1 @"%EXECUTION_DIR%SpatialIndexCreate_TMP_63_LINES.SQL3"

@echo [-- SQLPLUS %1 @"%EXECUTION_DIR%SpatialIndexCreate_TMP_63_POLY.SQL3" --]
SQLPLUS %1 @"%EXECUTION_DIR%SpatialIndexCreate_TMP_63_POLY.SQL3"


@echo *********************************************
@echo Creating RECTIFY_GEOMETRY scripts for Polygonal features...
@echo *********************************************
@echo [-- SQLPLUS %1 @"%EXECUTION_DIR%CleanGeometry_TMP_63_POLY.SQL6" --]
SQLPLUS %1 @"%EXECUTION_DIR%CleanGeometry_TMP_63_POLY.SQL6"


ENDLOCAL
GOTO END
:USAGE
ECHO USAGE: "MasterLoad <user>/<password>@<connectstring>"
:END
